/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


package au.com.bowerbird.firecat;

import java.lang.*;
import java.awt.*;
import java.awt.event.*;
import au.com.bowerbird.TFP.*;

/**
 * ActionListener for the file menu.
 *
 * @author Matthew Parry <a href=mailto:mettw@bowerbird.com.au>mettw@bowerbird.com.au</a>
 * @since alpha-i
 */

public class FileActionListener implements ActionListener {
  public void actionPerformed(ActionEvent ae){

    if((ae.getActionCommand()).equalsIgnoreCase("Identity")){
      Main.fgui.getIdentity(false);
    }else if((ae.getActionCommand()).equalsIgnoreCase("Add Contact")){
      Main.fgui.addContact();
    }else if((ae.getActionCommand()).equalsIgnoreCase("Delete Contact")){
      Main.fgui.deleteContact();
    }else if((ae.getActionCommand()).equalsIgnoreCase("Exit")){
      Main.exit();
    }
  }
}
